Lucene++ - a full-featured, c++ search engine
API Documentation

Public Member Functions | Data Fields
Lucene::ArrayData< TYPE > Class Template Reference

`#include <Array.h>`

## Public Member Functions

| ArrayData (int32_t size_)
| ~ArrayData ()
void | resize (int32_t size_)

## Data Fields

TYPE * | data
int32_t | size

## Constructor & Destructor Documentation

## ◆ ArrayData()

template<typename TYPE >

Lucene::ArrayData< TYPE >::ArrayData | ( | int32_t | size_ | ) |

inline

References Lucene::ArrayData< TYPE >::data, and Lucene::ArrayData< TYPE >::resize().

## ◆ ~ArrayData()

template<typename TYPE >

Lucene::ArrayData< TYPE >::~ArrayData | ( |  | ) |

inline

References Lucene::ArrayData< TYPE >::resize().

## Member Function Documentation

## ◆ resize()

template<typename TYPE >

void Lucene::ArrayData< TYPE >::resize | ( | int32_t | size_ | ) |

inline

References Lucene::AllocMemory(), Lucene::ArrayData< TYPE >::data, Lucene::FreeMemory(), and Lucene::ReallocMemory().

Referenced by Lucene::ArrayData< TYPE >::ArrayData(), and Lucene::ArrayData< TYPE >::~ArrayData().

## Field Documentation

## ◆ data

template<typename TYPE >

TYPE* Lucene::ArrayData< TYPE >::data

Referenced by Lucene::ArrayData< TYPE >::ArrayData(), Lucene::Array< wchar_t >::equals(), Lucene::Array< wchar_t >::get(), Lucene::Array< wchar_t >::operator[](), and Lucene::ArrayData< TYPE >::resize().

## ◆ size

template<typename TYPE >

int32_t Lucene::ArrayData< TYPE >::size

Referenced by Lucene::Array< wchar_t >::equals(), and Lucene::Array< wchar_t >::size().

The documentation for this class was generated from the following file:

- Array.h

clucene.sourceforge.net